WireMock
probe Wiremock

# server_running

Tells if the WireMock server is running

Run it now
View details

Type | probe
Module | chaoswm.probes
Name | server_running
Return | integer

Usage

JSON

    {
      "name": "server-running",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoswm.probes",
        "func": "server_running"
      }
    }

YAML

    name: server-running
    provider:
      func: server_running
      module: chaoswm.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
c | mapping | null | No | Configuration | The WireMock server configuration

Returns 1 if the WireMock server is running, 0 if it isn’t.

Signature

    def server_running(c: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `fixed_delay`

  Adds a fixed delay to a list of mappings
- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters
- WireMock
  action Wiremock

  ## `populate_from_dir`

  Adds all mappings found in the passed folder